import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
/*
 * File: Gui.java
 * Date         Author          Changes
 * 28.01.2006   Mike Mller     Created
 *
 */

/**
 * @author MacMikie (Alias Mike Mller)
 */
public class Fenster extends JFrame implements ActionListener {

    private static final long serialVersionUID = 7865683565858929683L;


    public Fenster() {
        super("Genetische Algorithmen");
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        getContentPane().setLayout(new BorderLayout());
        
        setBackground(Color.BLACK);
        setJMenuBar(new MyMenueBar(this));
        getContentPane().add(new Gui());
        setSize(800, 500);
        
        setResizable(false);
        setVisible(true);        
    }
    
    
    /**
     * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
     */
    public void actionPerformed(ActionEvent event) {
        String cmd = event.getActionCommand();

        if (cmd.equals("menueende")) {
            System.exit(0);
        }
        if (cmd.equals("about")) {
            ImageIcon jicon = new ImageIcon(Toolkit.getDefaultToolkit().getImage(this.getClass().getResource("fhlogo.gif")));
            JOptionPane.showMessageDialog(new JDialog(), "Version 1.0\n\nDieses Programm ist Bestandteil von dem Projekt Genetische Algorithmen,\nwelches in dem Fach Algorithmische Anwendungen an der Fachhochschule Kln\ndurchgenommen wurde.\n\nWS05/06\nDennis Freese 11038517\nMike Mller 11037091", "ber Genetische Algorithmen", JOptionPane.OK_OPTION, jicon);
        }
    }

}
